%define ver_progsreiserfs 0.3.1-rc8

Summary:	Tool to check and undelete partition
Name:		testdisk
Version:	6.14
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
Source1:	progsreiserfs-%{ver_progsreiserfs}.tar.bz2
# Upstream patch
Patch0:		progsreiserfs-journal.patch
# Another upstream patch
Patch1:		progsreiserfs-file-read.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk

BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(libntfs-3g)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libewf)
BuildRequires:	pkgconfig(uuid)

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * XBox FATX
    * Windows exFAT
    * HFS, HFS+ and HFSX, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux btrfs
    * Linux ext2, ext3 and ext4
    * Linux GFS2
    * Linux LUKS encrypted partition
    * Linux RAID md 0.9/1.0/1.1/1.2
        ** RAID 1: mirroring
        ** RAID 4: striped array with parity device
        ** RAID 5: striped array with distributed parity information
        ** RAID 6: striped array with distributed dual redundancy information
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2000/XP/2003/Vista/2008/7 )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System
    * Wii WBFS 
    * Sun ZFS

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.

%prep
%setup -q -a 1 -D -n %{name}-%{version}
%patch0
%patch1

%build
pushd progsreiserfs-%{ver_progsreiserfs}
	%configure2_5x --disable-Werror
	%make
popd

%configure2_5x
%make

%install
%makeinstall_std 

#handle docs in files section
rm -rf %{buildroot}/%{_docdir}

%files
%doc AUTHORS ChangeLog INFO NEWS README THANKS
%{_bindir}/fidentify
%{_bindir}/testdisk
%{_mandir}/man8/testdisk.8*
%{_mandir}/man8/fidentify.8*

%files -n photorec
%doc AUTHORS ChangeLog INFO NEWS README THANKS
%{_bindir}/photorec
%{_mandir}/man8/photorec.8*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 6.14-2.mga4
+ Revision: 532006
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 sander85 <sander85> 6.14-1.mga4
+ Revision: 466509
- New version: 6.14

* Mon May 27 2013 dams <dams> 6.13-7.mga4
+ Revision: 428469
- rebuild for new libntfs-3g

* Wed Mar 20 2013 wally <wally> 6.13-6.mga3
+ Revision: 404154
- clean .spec
- clean installed docs

* Wed Mar 20 2013 wally <wally> 6.13-5.mga3
+ Revision: 404150
- build against ncursesw

* Mon Jan 14 2013 umeabot <umeabot> 6.13-4.mga3
+ Revision: 384414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 sander85 <sander85> 6.13-3.mga2
+ Revision: 218096
- rebuild for new libewf

* Mon Jan 23 2012 fwang <fwang> 6.13-2.mga2
+ Revision: 200252
- rebuild for new ntfs-3g

* Sat Jan 07 2012 sander85 <sander85> 6.13-1.mga2
+ Revision: 192989
- remove patch #2, merged upstream
- new version: 6.13
- clean spec

* Fri Jun 17 2011 sander85 <sander85> 6.12-1.mga2
+ Revision: 108677
- new version 6.12
- clean and fix spec
- add more BRs

* Thu Feb 24 2011 ennael <ennael> 6.11-4.mga1
+ Revision: 58800
- imported package testdisk


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 6.11-4mdv2011.0
+ Revision: 607989
- rebuild

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 6.11-3mdv2010.1
+ Revision: 489480
- rebuild for new libjpegv8

* Mon Aug 17 2009 Oden Eriksson <oeriksson@mandriva.com> 6.11-2mdv2010.0
+ Revision: 417205
- fix deps
- rebuilt against libjpeg v7

* Mon May 11 2009 Frederik Himpe <fhimpe@mandriva.org> 6.11-1mdv2010.0
+ Revision: 374800
- Update to new version 6.11
- Remove -Werror=format-security patch: not needed anymore
- Add patch from upstream: adding missing boundary check in EXIF processing

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 6.10-1mdv2009.1
+ Revision: 366388
- fix str fmt

* Sat Aug 09 2008 Funda Wang <fwang@mandriva.org> 6.10-1mdv2009.0
+ Revision: 270034
- New version 6.10

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 6.9-3mdv2009.0
+ Revision: 225649
- rebuild

* Mon Feb 18 2008 Frederik Himpe <fhimpe@mandriva.org> 6.9-2mdv2008.1
+ Revision: 172022
- Update to 6.9 final

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Funda Wang <fwang@mandriva.org> 6.9-1mdv2008.1
+ Revision: 103952
- New version 6.9
- Rebuild against latest ntfsprogs

* Wed Aug 15 2007 Pascal Terjan <pterjan@mandriva.org> 6.8-2mdv2008.0
+ Revision: 63741
- Split photorec out of testdisk rpm

* Tue Aug 14 2007 Funda Wang <fwang@mandriva.org> 6.8-1mdv2008.0
+ Revision: 63295
- BR jpeg-devel
- enable parallel build
- New version 6.8

* Thu Jun 28 2007 Pascal Terjan <pterjan@mandriva.org> 6.7-1mdv2008.0
+ Revision: 45334
- 6.7
- Update list of supported filesystems in description


* Sun Feb 18 2007 Pascal Terjan <pterjan@mandriva.org> 6.6-1mdv2007.0
+ Revision: 122428
- 6.6

* Mon Oct 23 2006 Pascal Terjan <pterjan@mandriva.org> 6.5-1mdv2007.0
+ Revision: 71694
- 6.5
- new URL
- Import testdisk

* Wed Aug 16 2006 Pascal Terjan <pterjan@mandriva.org> 6.4-1mdv2007.0
- New release 6.4
- Silence second setup

* Tue Mar 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.3-2mdk
- rebuild for new libntfs

* Fri Mar 10 2006 Pascal Terjan <pterjan@mandriva.org> 6.3-1mdk
- 6.3
- Fix progsreiserfs build

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 6.1-2mdk
- rebuilt against new ntfs libs

* Fri Nov 18 2005 Pascal Terjan <pterjan@mandriva.org> 6.1-1mdk
- 6.1

* Mon Oct 03 2005 Pascal Terjan <pterjan@mandriva.org> 5.9-1mdk
- 5.9

* Sat Aug 13 2005 Pascal Terjan <pterjan@mandriva.org> 5.8-2mdk
- rebuild for new libntfs

* Sat Jun 25 2005 Pascal Terjan <pterjan@mandriva.org> 5.8-1mdk
- 5.8

* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 5.7-2mdk
- Fix everything going into doc

* Thu Apr 21 2005 Pascal Terjan <pterjan@mandriva.org> 5.7-1mdk
- 5.7
- Use system ntfsprogs

* Sun Dec 05 2004 Pascal Terjan <pterjan@mandrake.org> 5.5-1mdk
- 5.5

* Tue Nov 09 2004 Pascal Terjan <pterjan@mandrake.org> 5.4-1mdk
- 5.4

* Thu Apr 22 2004 Pascal Terjan <pterjan@mandrake.org> 5.2-1mdk
- 5.2
- Use system e2fsprogs
- Add ntfsprogs
- Update patch0

